<template>
  <v-img height="calc(80vh)" src="https://images.findyournextapartment.com/45f881f4-7fb1-4275-8403-7e528d25b3b3.jpg">
    <v-container class="fill-height align-center justify-center">
      <app-connect-expert style="max-width: 800px; min-width: 480px; width: 50%" @finish="$router.push('/')" />
    </v-container>
    <template v-slot:placeholder>
      <v-row
        class="fill-height ma-0 translate-search"
        align="center"
        justify="center"
      >
        <v-progress-circular indeterminate size="400" width="4" color="accent" />
      </v-row>
    </template>
  </v-img>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'
import AppConnectExpert from '@/components/AppConnectExpert.vue'

export default defineComponent({
  name: 'HotDeals',
  components: { AppConnectExpert }
})
</script>
